%define name perl-Config-General
%define module Config-General
%define version 2.24
%define release 1mdk

Summary:	Config::General - Generic Config perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl >= 5.6.1
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
# make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc Changelog README
%{perl_vendorlib}/Config/General.pm
%{perl_vendorlib}/Config/General
%{_mandir}/man3/*

%changelog
* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.24-1mdk
- 2.24

* Fri Jun 06 2003 Maxim Heijndijk <cchq@wanadoo.nl> 2.18-1mdk
- Initial wrap.
